#!/bin/sh -x

DUPLICATE_IP_FILE=/tmp/duplicate_ip.status

INTERFACE=$1
INTERFACE_IP=$2

if [ -e $DUPLICATE_IP_FILE ]
then
	rm $DUPLICATE_IP_FILE
fi

busybox arping -D -i $INTERFACE -c 3 $INTERFACE_IP

if [ $? -ne 0 ]
then
	echo "#######################   Duplicate IP address detected #####################"
	echo "1" > $DUPLICATE_IP_FILE
else
	echo "#######################   IP $1 can be used #####################"
fi
